Search documentation of wx

# View Source wxMoveEvent (wx v2.4.3.1)

A move event holds information about window position change.

These events are currently generated for top level (see `wxTopLevelWindow`) windows in all ports, but are not generated for the child windows in wxGTK.

See:

- {X,Y}

- Overview events

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxMoveEvent

## Events

Use `wxEvtHandler:connect/3` with `wxMoveEventType` to subscribe to events of this type.

# Summary

## Types

wxMove()
wxMoveEvent()
wxMoveEventType()

## Functions

getPosition(This)

Returns the position of the window generating the move change event.

getRect(This)

# Types

# wxMove()

    -type wxMove() ::
              #wxMove{type :: wxMoveEvent:wxMoveEventType(),
                      pos :: {X :: integer(), Y :: integer()},
                      rect :: {X :: integer(), Y :: integer(), W :: integer(), H :: integer()}}.

# wxMoveEvent()

    -type wxMoveEvent() :: wx:wx_object().

# wxMoveEventType()

    -type wxMoveEventType() :: move.

# Functions

# getPosition(This)

    -spec getPosition(This) -> {X :: integer(), Y :: integer()} when This :: wxMoveEvent().

Returns the position of the window generating the move change event.

# getRect(This)

    -spec getRect(This) -> {X :: integer(), Y :: integer(), W :: integer(), H :: integer()}
                     when This :: wxMoveEvent().